Wind River Support Network

HomeDefectsLIN5-19724
Fixed

LIN5-19724 : Security Advisory - curl - CVE-2014-3707

Created: Nov 16, 2014    Updated: Dec 19, 2017
Resolved Date: Dec 3, 2014
Found In Version: 5.0.1.20
Fix Version: 5.0.1.22
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The curl_easy_duphandle function in libcurl 7.17.1 through 7.38.0, when running with the CURLOPT_COPYPOSTFIELDS option, does not properly copy HTTP POST data for an easy handle, which triggers an out-of-bounds read that allows remote web servers to read sensitive memory information.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-3707

Other Downloads


Live chat
Online